Subscriptions

A subscription represents a pipeline's subscription to a extension.


List all subscriptions

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/subscriptions

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Responses

StatusBodyDescription
200ListSubscriptionsResponsesuccessful operation
4XXErrorError
5XXErrorError

Create a new subscription

POST/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/subscriptions

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Request body (required): CreateSubscriptionRequest

Responses

StatusBodyDescription
201CreateSubscriptionResponsesuccessful creation
4XXErrorError
5XXErrorError

Get subscription by id

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/subscriptions/{extension_id}/{subscription_id}

Path parameters

NameTypeRequiredDescription
extension_idstringyesThe unique identifier for the target extension.
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
subscription_idstringyesThe unique identifier for the target subscription.

Responses

StatusBodyDescription
200GetSubscriptionResponsesuccessful operation
4XXErrorError
5XXErrorError

Update a subscription's state

PATCH/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/subscriptions/{extension_id}/{subscription_id}

Path parameters

NameTypeRequiredDescription
extension_idstringyesThe unique identifier for the target extension.
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
subscription_idstringyesThe unique identifier for the target subscription.

Request body (required): UpdateSubscriptionRequest

Responses

StatusBodyDescription
204noneresource updated
4XXErrorError
5XXErrorError

Delete subscription by id

DELETE/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/subscriptions/{extension_id}/{subscription_id}

Path parameters

NameTypeRequiredDescription
extension_idstringyesThe unique identifier for the target extension.
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
subscription_idstringyesThe unique identifier for the target subscription.

Responses

StatusBodyDescription
204nonesuccessful deletion
4XXErrorError
5XXErrorError